# Uses of Class
jdk.jfr.EventType

Packages that use EventType
Package
Description
jdk.jfr
This package provides classes to create events and control Flight Recorder.
jdk.jfr.consumer
This package contains classes for consuming Flight Recorder data.

## Uses of EventType in jdk.jfr

Methods in jdk.jfr that return EventType
Modifier and Type
Method
Description
`EventType`
EventFactory.`getEventType()`
Returns the event type that is associated with this event factory.
`static EventType`
EventType.`getEventType(Class<? extends Event> eventClass)`
Returns the event type for an event class, or `null` if it doesn't exist.
Methods in jdk.jfr that return types with arguments of type EventType
Modifier and Type
Method
Description
`List<EventType>`
FlightRecorder.`getEventTypes()`
Returns an immutable list that contains all currently registered events.

## Uses of EventType in jdk.jfr.consumer

Methods in jdk.jfr.consumer that return EventType
Modifier and Type
Method
Description
`EventType`
RecordedEvent.`getEventType()`
Returns the event type that describes the event.
Methods in jdk.jfr.consumer that return types with arguments of type EventType
Modifier and Type
Method
Description
`final List<EventType>`
MetadataEvent.`getAddedEventTypes()`
Returns a list of added event types since the last metadata event.
`final List<EventType>`
MetadataEvent.`getEventTypes()`
Returns a list of the current event types being used.
`final List<EventType>`
MetadataEvent.`getRemovedEventTypes()`
Returns a list of removed event types since the last metadata event.
`List<EventType>`
RecordingFile.`readEventTypes()`
Returns a list of all event types in this recording.